Subject: bug#30788: 27.0.50; Getting 'char-displayable-p: Invalid hash table rehash size: 1.0' when starting emacs -Q

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Mar 2018 20:15:43 +0200

> Date: Wed, 14 Mar 2018 18:57:28 +0100
> Cc: [email-masked],
>     [email-masked]
> From: Ulrich Mueller <[email-masked]>
> 
> > +	/* Do this after the call to xg_initialize, because when
> > +	   Fontconfig is used, xg_initialize calls its initialization
> > +	   function which in some versions of Fontconfig calls setlocale.  */
> > +	fixup_locale ();
> > +
> >          dpy = DEFAULT_GDK_DISPLAY ();
> > 
> >  #if ! GTK_CHECK_VERSION (2, 90, 0)
> 
> This fixes the problem (tested with fontconfig-2.13.0).

Thanks, pushed to the release branch.

> Note that it has also been fixed in the fontconfig git repository:
> https://cgit.freedesktop.org/fontconfig/commit/?id=923b5be626a6e03fbaeee0b5cd6d0246c2f8f36f

I've seen that.  Does it really fix the problem?  What happens if you
run Emacs like so:

  $ LC_ALL=C emacs -Q

(If this works with the fixed version of fontconfig, then I guess I
completely misunderstand the issue.)

In any case, I think it's good for Emacs to be immune to buggy
versions of fontconfig, especially since we already needed to clean up
after similar problems in gtk_init.

Thanks.